from traitlets import (
    Unicode, Enum, Instance, Union, Float, Int, List, Tuple, Dict,
    Undefined, Bool, Any
)
from ipywidgets import Widget, DOMWidget
from ipywidgets.widgets.widget import widget_serialization

from .VuetifyWidget import VuetifyWidget


class Snackbar(VuetifyWidget):

    _model_name = Unicode('SnackbarModel').tag(sync=True)

    absolute = Bool(None, allow_none=True).tag(sync=True)

    auto_height = Bool(None, allow_none=True).tag(sync=True)

    bottom = Bool(None, allow_none=True).tag(sync=True)

    color = Unicode(None, allow_none=True).tag(sync=True)

    left = Bool(None, allow_none=True).tag(sync=True)

    multi_line = Bool(None, allow_none=True).tag(sync=True)

    right = Bool(None, allow_none=True).tag(sync=True)

    timeout = Float(None, allow_none=True).tag(sync=True)

    top = Bool(None, allow_none=True).tag(sync=True)

    value = Any(Undefined).tag(sync=True)

    vertical = Bool(None, allow_none=True).tag(sync=True)





__all__ = ['Snackbar']
